Method: users.availability.get

Returns availability information for a human user in Google Chat. For example, this can be used to check if a user is online or away, or to retrieve their custom status message.

This method only retrieves the authenticated user's availability.

Requires user authentication with one of the following authorization scopes:

  • https://www.googleapis.com/auth/chat.users.availability.readonly
  • https://www.googleapis.com/auth/chat.users.availability

HTTP request

GET https://chat.googleapis.com/v1/{name=users/*/availability}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the availability to retrieve.

Format: users/{user}/availability

{user} is the id for the Person in the People API or Admin SDK directory API. For example, users/123456789.

The user's email address or me can also be used as an alias to refer to the caller. For example, users/user@example.com or users/me.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Availability.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chat.users.availability
  • https://www.googleapis.com/auth/chat.users.availability.readonly

For more information, see the Authorization guide.